> For the complete documentation index, see [llms.txt](https://docs.fleaflet.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fleaflet.dev/v3/usage/layers/attribution-layer.md).

# Attribution Layer

Before publishing your app to users, you should credit the tile server you use, this library, and potentially and plugins you use.

```dart
FlutterMap(
    options: MapOptions(),
    nonRotatedChildren: [
      AttributionWidget.defaultWidget(
        source: '© OpenStreetMap contributors',
        onSourceTapped: () {},
      ),
    ],
),
```

{% hint style="success" %}
Please credit flutter\_map, it helps us to gain more developers that we can help!

You should also credit your tile server if it says to in the server's terms of service. You [must credit OpenStreetMap](https://www.openstreetmap.org/copyright) if using its tile server or another tile server that relies on its data.
{% endhint %}

## Default Builder

The default builder, as shown above, can be used to get a classic attribution box appearance quickly without much setup. Just add a source and a function (if you want a clickable link to appear), and 'flutter\_map' automatically gets credited.

## Custom Builder

Alternatively, create your own box from scratch by omitting the `defaultWidget` constructor from the widget. Then you can build a custom widget as you would normally.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fleaflet.dev/v3/usage/layers/attribution-layer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
